# Uses of Interface
org.eclipse.emf.cdo.common.branch.CDOBranchVersion

Packages that use CDOBranchVersion
Package
Description
org.eclipse.emf.cdo.common.branch
Common concepts for dealing with branches.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.revision.delta
Common concepts for dealing with revision deltas and feature deltas.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.spi.common.branch
Common service provider interfaces and useful base implementations for dealing with branches.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of CDOBranchVersion in org.eclipse.emf.cdo.common.branch

Methods in org.eclipse.emf.cdo.common.branch that return CDOBranchVersion
Modifier and Type
Method
Description
`CDOBranchVersion`
CDOBranch.`getVersion(int version)`
Returns the branch version in this branch with the given version number.

## Uses of CDOBranchVersion in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOBranchVersion
Modifier and Type
Method
Description
`CDOBranchVersion`
CDODataInput.`readCDOBranchVersion()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOBranchVersion
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDOBranchVersion(CDOBranchVersion branchVersion)`

## Uses of CDOBranchVersion in org.eclipse.emf.cdo.common.revision

Subinterfaces of CDOBranchVersion in org.eclipse.emf.cdo.common.revision
Modifier and Type
Interface
Description
`interface`
`CDORevisable`
An entity that has a defined lifetime (creation plus revision) and a version in a `branch`.
`interface`
`CDORevision`
Encapsulates the immutable system information of a single CDO `object` between two `commits` in a `branch` and provides access to its modeled `data`.
`static interface`
`CDORevisionCache.EvictionEvent`
An `event` fired from a `revision cache` for `revisions` that are evicted because they are no longer strongly referenced when free memory runs low.
`interface`
`CDORevisionKey`
Uniquely identifies a `revision` by version in a `branch`.
Methods in org.eclipse.emf.cdo.common.revision with parameters of type CDOBranchVersion
Modifier and Type
Method
Description
`boolean`
CDORevisionManager.`containsRevisionByVersion(CDOID id, CDOBranchVersion branchVersion)`
Returns `true` if the `revision cache` contains a `revision` with the given `ID` at the given `branch version` (branch + version), `false` otherwise.
`CDORevision`
CDORevisionCache.`getRevisionByVersion(CDOID id, CDOBranchVersion branchVersion)`
`CDORevision`
CDORevisionManager.`getRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int referenceChunk, boolean loadOnDemand)`
Returns the `revision` with the given `ID` at the given `branch version` (branch + version), optionally demand loading it if it is not already in the `cache`.

## Uses of CDOBranchVersion in org.eclipse.emf.cdo.common.revision.delta

Subinterfaces of CDOBranchVersion in org.eclipse.emf.cdo.common.revision.delta
Modifier and Type
Interface
Description
`interface`
`CDORevisionDelta`
Represents the change delta between two `revisions` of a CDO object.

## Uses of CDOBranchVersion in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return CDOBranchVersion
Modifier and Type
Method
Description
`CDOBranchVersion[]`
IStoreAccessor.CommitContext.`getDetachedObjectVersions()`
Methods in org.eclipse.emf.cdo.server with parameters of type CDOBranchVersion
Modifier and Type
Method
Description
`InternalCDORevision`
IStoreAccessor.`readRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int listChunk, CDORevisionCacheAdder cache)`
Reads a revision with the given version in the given branch from the back-end.

## Uses of CDOBranchVersion in org.eclipse.emf.cdo.spi.common.branch

Methods in org.eclipse.emf.cdo.spi.common.branch that return CDOBranchVersion
Modifier and Type
Method
Description
`static CDOBranchVersion`
CDOBranchUtil.`copyBranchVersion(CDOBranchVersion source)`
Methods in org.eclipse.emf.cdo.spi.common.branch with parameters of type CDOBranchVersion
Modifier and Type
Method
Description
`static CDOBranchVersion`
CDOBranchUtil.`copyBranchVersion(CDOBranchVersion source)`

## Uses of CDOBranchVersion in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOBranchVersion
Modifier and Type
Method
Description
`CDOBranchVersion`
CDODataInputImpl.`readCDOBranchVersion()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOBranchVersion
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOBranchVersion(CDOBranchVersion branchVersion)`

## Uses of CDOBranchVersion in org.eclipse.emf.cdo.spi.common.revision

Subinterfaces of CDOBranchVersion in org.eclipse.emf.cdo.spi.common.revision
Modifier and Type
Interface
Description
`interface`
`InternalCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalCDORevisionDelta`
If the meaning of this type isn't clear, there really should be more of a description here...
Classes in org.eclipse.emf.cdo.spi.common.revision that implement CDOBranchVersion
Modifier and Type
Class
Description
`class`
`AbstractCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`BaseCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`DelegatingCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`DetachedCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`PointerCDORevision`
A `synthetic` revision that represents the initial period of an object in a `branch` when the object is still associated with a revision from one of the baseline branches.
`class`
`StubCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`SyntheticCDORevision`
A synthetic revision that represents the initial period of an object in a `branch` when the object is still associated with a revision from one of the baseline branches.
Methods in org.eclipse.emf.cdo.spi.common.revision that return CDOBranchVersion
Modifier and Type
Method
Description
`CDOBranchVersion`
RevisionInfo.Available.`getAvailableBranchVersion()`
`CDOBranchVersion`
PointerCDORevision.`getTarget()`
`CDOBranchVersion`
RevisionInfo.Available.Pointer.`getTargetBranchVersion()`
Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDOBranchVersion
Modifier and Type
Method
Description
`boolean`
DelegatingCDORevisionManager.`containsRevisionByVersion(CDOID id, CDOBranchVersion branchVersion)`
`InternalCDORevision`
DelegatingCDORevisionManager.`getRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int referenceChunk, boolean loadOnDemand)`
`InternalCDORevision`
InternalCDORevisionManager.`getRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int referenceChunk, boolean loadOnDemand)`
`InternalCDORevision`
InternalCDORevisionManager.RevisionLoader.`loadRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int referenceChunk)`
`CDORevision`
InternalCDORevisionCache.`removeRevision(CDOID id, CDOBranchVersion branchVersion)`
`void`
DelegatingCDORevisionManager.`reviseVersion(CDOID id, CDOBranchVersion branchVersion, long timeStamp)`
`void`
InternalCDORevisionManager.`reviseVersion(CDOID id, CDOBranchVersion branchVersion, long timeStamp)`
Constructors in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDOBranchVersion
Modifier
Constructor
Description
`protected`
`Available(CDOID id, CDOBranchPoint requestedBranchPoint, CDOBranchVersion availableBranchVersion)`
``
`Detached(CDOID id, CDOBranchPoint requestedBranchPoint, CDOBranchVersion availableBranchVersion)`
``
`Normal(CDOID id, CDOBranchPoint requestedBranchPoint, CDOBranchVersion availableBranchVersion)`
``
`Pointer(CDOID id, CDOBranchPoint requestedBranchPoint, CDOBranchVersion availableBranchVersion, CDOBranchVersion targetBranchVersion)`
``
`PointerCDORevision(EClass eClass, CDOID id, CDOBranch branch, long revised, CDOBranchVersion target)`

## Uses of CDOBranchVersion in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server with parameters of type CDOBranchVersion
Modifier and Type
Method
Description
`void`
InternalCommitContext.`setDetachedObjectVersions(CDOBranchVersion[] detachedObjectVersions)`